Token Rank
Authorizations
AuthorizationstringOptional
Authorization header for API key authentication.
Example:
Authorization: your-api-key-here
Body
Request for token ranking information
metricone ofOptional
Metric to rank by (defaults to Price if not specified)
nullOptional
string · enumOptionalExample:
Metric to use for ranking tokens
PricePossible values: operationone ofOptional
Operation to apply to the metric (defaults to Average if not specified)
nullOptional
string · enumOptionalExample:
Mathematical operation to apply to the metric
AveragePossible values: numeratorone ofOptional
Time period for the numerator in ratio calculations
nullOptional
string · enumOptionalExample:
Time period for metric calculations
PastTwentyFourHoursPossible values: denominatorone ofOptional
Time period for the denominator in ratio calculations
nullOptional
string · enumOptionalExample:
Time period for metric calculations
PastTwentyFourHoursPossible values: count_filterone ofOptional
Filter to limit the number of results returned
nullOptional
or
ratio_filterone ofOptional
Filter based on ratio values
nullOptional
or
or
Responses
200
Success
application/json
Response containing ranked token information
ordered_mintsobject[][]RequiredExample:
Array of ranked tokens in order
["EKpQGSJtjMFqKZ9KQanSqYXRcF8fBopzLHYxdM65zcjm",{"rank":1,"ratio":2.45}]400
Invalid input
application/json
401
Unauthorized
text/plain
403
Forbidden
text/plain
429
Too Many Requests
text/plain
500
Internal Server Error
text/plain
post
/rankLast updated